Package bitel.billing.server.call.bean

# Class Login

java.lang.Object
ru.bitel.common.model.ContractId
bitel.billing.server.call.bean.Login

All Implemented Interfaces:
  `Serializable`, `ContractIdable`

public class Login extends ContractId implements Serializable
Суперкласс для логинов

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Login()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `Date`
  `getDate1()`
  `Date`
  `getDate2()`
  `int`
  `getId()`
  `long`
  `getLogin()`
  `int`
  `getMaxSession()`
  `int`
  `getObjectId()`
  `String`
  `getPswd()`
  `boolean`
  `getStatus()`
  `void`
  `setComment(String comment)`
  `Login`
  `setContractId(int contractId)`
  `void`
  `setDate1(Date date1)`
  `void`
  `setDate2(Date date2)`
  `void`
  `setId(int id)`
  `void`
  `setLogin(long login)`
  `void`
  `setMaxSession(int maxSession)`
  `void`
  `setObjectId(int objectId)`
  `void`
  `setPswd(String pswd)`
  `void`
  `setStatus(boolean status)`

  ### Methods inherited from class ru.bitel.common.model.ContractId

  `getContractId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Login

    public Login()

- ## Method Details

  - ### getObjectId

    public int getObjectId()

  - ### setObjectId

    public void setObjectId(int objectId)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getDate1

    public Date getDate1()

  - ### setDate1

    public void setDate1(Date date1)

  - ### getDate2

    public Date getDate2()

  - ### setDate2

    public void setDate2(Date date2)

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getLogin

    public long getLogin()

  - ### setLogin

    public void setLogin(long login)

  - ### getPswd

    public String getPswd()

  - ### setPswd

    public void setPswd(String pswd)

  - ### setStatus

    public void setStatus(boolean status)

  - ### getStatus

    public boolean getStatus()

  - ### getMaxSession

    public int getMaxSession()

  - ### setMaxSession

    public void setMaxSession(int maxSession)

  - ### setContractId

    public Login setContractId(int contractId)
    Overrides:
      `setContractId` in class `ContractId`